@echo off
color 0a
cd /d %~dp0
title ESET ID 获取器命令行工具
:choiceloop
cls
echo.
echo ****************************************************
echo **********   ESET_VC52_UPID命令行工具   *********
echo ****************************************************
echo.
echo  敬告：请先解压缩；
echo  本工具位置请勿移动；
echo  退出请关闭本窗口。
echo.
echo  按“1”：开启 ESET_VC52_UPID 随机启动
echo  按“2”：关闭 ESET_VC52_UPID 随机启动
echo  按“3”：强制更换本机 ESET NOD32 软件ID   
echo.
set /p ch=[请选择]（1 2 3 ...)：

if /i "%ch%"=="1" goto :on
if /i "%ch%"=="2" goto :off
if /i "%ch%"=="3" goto :replace

:on
if exist "ESET_VC52_UPID.exe" (
	start ESET_VC52_UPID.exe /on
	echo ESET_VC52_UPID 随机启动，已开启
	pause
	goto choiceloop
	rem exit
) else (
	echo.
	echo 你解压的文件夹里没有“ESET_VC52_UPID.exe”，
	echo 请确认你有把所有文件解压后再运行本文件。
	echo 按任意键退出。
	pause>nul
	exit
)


:off
if exist "ESET_VC52_UPID.exe" (
	start ESET_VC52_UPID.exe /off
	echo ESET_VC52_UPID 随机启动，已关闭
	pause
	goto choiceloop
	rem exit
) else (
	echo.
	echo 你解压的文件夹里没有“ESET_VC52_UPID.exe”，
	echo 请确认你有把所有文件解压后再运行本文件。
	echo 按任意键退出。
	pause>nul
	exit
)


:replace
if exist "ESET_VC52_UPID.exe" (
	start ESET_VC52_UPID.exe /replace
	goto choiceloop
	rem exit
) else (
	echo.
	echo 你解压的文件夹里没有“ESET_VC52_UPID.exe”，
	echo 请确认你有把所有文件解压后再运行本文件。
	echo 按任意键退出。
	pause>nul
	exit
)
rem goto choiceloop
